# Get information about a specific offer’s cap

| HTTP method | Endpoint                            |
| ----------- | ----------------------------------- |
| **GET**     | **/aff/v1/offers/{offer\_id}/caps** |

## Path parameters <a href="#path-parameters-2" id="path-parameters-2"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

***NOTE: If category for the null that the cap is offer own cap information, not for the null is that the cap information for the affiliate on the offer (or the offer to affiliate) set by the cap information.***

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field           | Type    | Description                                                           |
| --------------- | ------- | --------------------------------------------------------------------- |
| id              | integer |                                                                       |
| offer\_id       | integer | A string that uniquely identifies this offer.                         |
| cap\_budget     | string  |                                                                       |
| cap\_click      | integer |                                                                       |
| cap\_type       | integer | Cap type:  0 none   1 total\_count   2 daily\_count   3 total\_budget |
| cap\_conversion | integer |                                                                       |
| category        | integer | Category type:  1 Shared  2 Private                                   |
| cap\_timezone   | string  | Time zone.                                                            |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request GET** <https://{networkname}.api.offerslook.com/aff/v1/offers/16/caps>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/offers/16/caps>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_cap": {
          "id": 41,
          "offer_id": 16,
          "cap_type": 1,
          "cap_click": 33,
          "cap_conversion": 0,
          "cap_budget": "0",
          "category": 1,
          "cap_timezone": "Asia/Hong_Kong"
        }
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offers/get_information_about_a_specific_offers_cap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
